# Uses of Enum Class
org.apache.sysds.parser.Statement.PSFrequency

Packages that use Statement.PSFrequency
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.paramserv

## Uses of Statement.PSFrequency in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Statement.PSFrequency
Modifier and Type
Method
Description
`static Statement.PSFrequency`
Statement.PSFrequency.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSFrequency[]`
Statement.PSFrequency.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Statement.PSFrequency in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Statement.PSFrequency
Modifier and Type
Method
Description
`static HEParamServer`
HEParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, int numBackupWorkers)`
`static LocalParamServer`
LocalParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, boolean modelAvg, int numBackupWorkers)`
Constructors in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Statement.PSFrequency
Modifier
Constructor
Description
``
`FederatedPSControlThread(int workerID, String updFunc, Statement.PSFrequency freq, Statement.PSRuntimeBalancing runtimeBalancing, boolean weighting, int epochs, long batchSize, int numBatchesPerGlobalEpoch, ExecutionContext ec, ParamServer ps, int nbatches, boolean modelAvg, boolean use_homomorphic_encryption)`
``
`LocalPSWorker(int workerID, String updFunc, Statement.PSFrequency freq, int epochs, long batchSize, ExecutionContext ec, ParamServer ps, int nbatches, boolean modelAvg)`
``
`SparkPSWorker(String updFunc, String aggFunc, Statement.PSFrequency freq, int epochs, long batchSize, String program, boolean isLocal, HashMap<String,byte[]> clsMap, org.apache.spark.SparkConf conf, int port, org.apache.spark.util.LongAccumulator aSetup, org.apache.spark.util.LongAccumulator aWorker, org.apache.spark.util.LongAccumulator aUpdate, org.apache.spark.util.LongAccumulator aIndex, org.apache.spark.util.LongAccumulator aGrad, org.apache.spark.util.LongAccumulator aRPC, org.apache.spark.util.LongAccumulator aBatches, org.apache.spark.util.LongAccumulator aEpochs, int nbatches, boolean modelAvg)`